Skip to content
Docs

Create a workspace

POST
/api/auth/organization/create

You become its owner. The slug must be unique; add a few random characters.

Authorization

session
cookiebetter-auth.session_token<token>

Set by POST /api/auth/sign-in/email.

Request Body

application/json
  1. body
name*string
Length1 <= length
slug*string
Length1 <= length

Response Body

The new workspace.

Example Request
curl -X POST 'https://app.useroster.work/api/auth/organization/create' \  -H 'Content-Type: application/json' \  -d '{  "name": "string",  "slug": "string"}'
Example Response
Empty